DataStaxドライバーのアップグレード

DataStax C/C++、C#、Java、Node.js、PHP、Python、およびRubyドライバーのアップグレード。

重要: ドライバーの互換性を必ず確認してください。ドライバー・バージョンによっては、クライアント・アプリケーション・コードの再コンパイルが必要になる場合があります。
DataStaxドライバーには次の2つのタイプがあります。
  • DataStax Enterprise用DataStaxドライバー:DSE 4.8以降用
  • Apache Cassandra™用DataStaxドライバー:Apache Cassandra™およびDSE 4.7以前のバージョン用
注: Apache Cassandraドライバー用のDataStaxドライバーは、DSE 5.0以降のクラスターに接続できますが、DSEドライバーにアップグレードすることを強くお勧めします。DSEドライバーでは、DataStax Enterpriseのすべての機能を使用できます。

アップグレードの情報は、各ドライバーのガイドに含まれています。

DataStax Enterprise用DataStaxドライバー Apache Cassandra用DataStaxドライバー
C/C++ C/C++
C# C#
Java Java
Node.js Node.js
PHP PHP
Python Python
Ruby Ruby